<template>
  <div class="hero hero--home">
    <div class="banner">
      <h1 class="banner__ttl">luxurious rooms</h1>
      <div class="banner__line"></div>
      <div class="banner__subttl">deluxe rooms starting at $299</div>
      <router-link to="/rooms" exact class="btn-primary">our rooms</router-link>
    </div>
  </div>
</template>

<script>
export default {
  name: "Banner",
};
</script>

<style lang="">
.hero {
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero--home {
  background: url("http://localhost:4000/images/defaultBcg.jpeg") center/cover
    no-repeat;
  min-height: calc(100vh - 66px);
}

.hero--rooms {
  background: url("http://localhost:4000/images/room-2.jpeg") center/cover no-repeat;
  min-height: 60vh;
}

.banner {
  display: inline-block;
  background: rgba(0, 0, 0, 0.5);
  color: var(--mainWhite);
  padding: 2rem 1rem;
  text-align: center;
  text-transform: capitalize;
  letter-spacing: var(--mainSpacing);
}

.banner__ttl {
  font-size: 2.5rem;
}

.banner__line {
  width: 10rem;
  height: 5px;
  background: var(--primaryColor);
  margin: 1.7rem auto;
}

.banner__subttl {
  font-size: 1.2rem;
  margin-bottom: 2rem;
}
</style>